@echo off
echo INFO: start installing Office Integration 64 Bit.

cd .\32bit
echo INFO: Try to register OfficeAddinFX2.dll.
reg query HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\forcont\Forcont.FactoryAddinFX2 > NUL 2>&1

if not errorlevel 1 (
  echo ERROR: OfficeAddinFX2.dll is already registered. Please uninstal the previous version first.
  cd ..
  exit /B 1
) else (
  %windir%\SysWOW64\regsvr32.exe /s OfficeAddinFX2.dll
  if errorlevel 1 (
    echo ERROR: Failed to register OfficeAddinFX2.dll. regsvr32.exe returned %errorlevel%
	cd ..
	exit /B 2
  )
  reg query HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\forcont\Forcont.FactoryAddinFX2 > NUL 2>&1
  if errorlevel 1 (
    echo ERROR: Failed to register OfficeAddinFX2.dll. Registry key HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\forcont\Forcont.FactoryAddinFX2 cannot be found.
	cd ..
	exit /B 3
  )
  echo INFO: OfficeAddinFX2.dll has been successfully registered.
)

cd ..\64bit
echo INFO: Try to register OfficeAddinFX2-64.dll.

reg query HKEY_LOCAL_MACHINE\SOFTWARE\forcont\Forcont.FactoryAddinFX2 > NUL 2>&1

if not errorlevel 1 (
  echo ERROR: OfficeAddinFX2-64.dll is already registered. Please uninstal the previous version first.
  cd ..
  exit /B 4
) else (
  %windir%\SysWOW64\regsvr32.exe /s OfficeAddinFX2-64.dll
  if errorlevel 1 (
    echo ERROR: Failed to register OfficeAddinFX2-64.dll. regsvr32.exe returned %errorlevel%
	cd ..
	exit /B 5
  )
  reg query HKEY_LOCAL_MACHINE\SOFTWARE\forcont\Forcont.FactoryAddinFX2 > NUL 2>&1
  if errorlevel 1 (
    echo ERROR: Failed to register OfficeAddinFX2-64.dll. Registry key HKEY_LOCAL_MACHINE\SOFTWARE\forcont\Forcont.FactoryAddinFX2 cannot be found.
	cd ..
	exit /B 6
  )
  echo INFO: OfficeAddinFX2-64.dll has been successfully registered.
)

cd ..

echo INFO: Try to register Redemption64.dll.
%windir%\SysWOW64\regsvr32.exe /s .\Redemption\Redemption64.dll
if errorlevel 1 (
  echo WARN: Failed to register Redemption64.dll. regsvr32.exe returned %errorlevel%
) else (
  echo INFO: Redemption64.dll has been successfully registered.
)


rem please uncomment the following commented lines if adobe acrobat integration is required as well
rem echo INFO: try to install adobe acrobat integration plugin
rem copy /Y .\Acrobat\factoryStorage.api "C:\Programme\Adobe\Acrobat 9.0\Acrobat\plug_ins\factoryStorage.api"
rem if %errorlevel% NEQ 0 (
rem   echo ERROR: failed to copy .\Acrobat\factoryStorage.api to "C:\Programme\Adobe\Acrobat 9.0\Acrobat\plug_ins\factoryStorage.api". please copy it manually!
rem   exit /B 7
rem )
rem echo INFO: adobe acrobat integration plugin has been successfully installed

echo INFO: Office Integration 64 Bit has been successfully installed.
exit /B 0