@echo off
echo INFO: start uninstalling Office Integration 64 Bit.

echo INFO: Try to unregister OfficeAddinFX2.dll.
reg query HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\forcont\Forcont.FactoryAddinFX2 > NUL 2>&1

if errorlevel 1 (
  echo WARN: OfficeAddinFX2.dll is not registered, so there's nothing to be done.
) else (
  %windir%\SysWOW64\regsvr32.exe /s /u .\32Bit\OfficeAddinFX2.dll
  if errorlevel 1 (
    echo ERROR: Failed to unregister OfficeAddinFX2.dll. regsvr32.exe returned %errorlevel%
	exit /B 1
  )
  reg query HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\forcont\Forcont.FactoryAddinFX2 > NUL 2>&1 

  if not errorlevel 1 (
    echo ERROR: Failed to unregister OfficeAddinFX2.dll. Registry key HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\forcont\Forcont.FactoryAddinFX2 still exists.
	exit /B 2
  )
  echo INFO: OfficeAddinFX2.dll has been successfully unregistered.
)

echo INFO: Try to unregister OfficeAddinFX2-64.dll.
reg query HKEY_LOCAL_MACHINE\SOFTWARE\forcont\Forcont.FactoryAddinFX2 > NUL 2>&1

if errorlevel 1 (
  echo WARN: OfficeAddinFX2-64.dll is not registered, so there's nothing to be done.
) else (
  %windir%\SysWOW64\regsvr32.exe /s /u .\64Bit\OfficeAddinFX2-64.dll
  if errorlevel 1 (
    echo ERROR: Failed to unregister OfficeAddinFX2-64.dll. regsvr32.exe returned %errorlevel%
	exit /B 3
  )
  reg query HKEY_LOCAL_MACHINE\SOFTWARE\forcont\Forcont.FactoryAddinFX2 > NUL 2>&1
  if not errorlevel 1 (
    echo ERROR: Failed to unregister OfficeAddinFX2-64.dll. Registry key HKEY_LOCAL_MACHINE\SOFTWARE\forcont\Forcont.FactoryAddinFX2 still exists.
	exit /B 4
  )
  echo INFO: OfficeAddinFX2-64.dll has been successfully unregistered.
)

rem since there is no defined method to check if redemption is installed just run regsvr32 /u and check errorlevel
echo INFO: Try to unregister Redemption64.dll.
%windir%\SysWOW64\regsvr32.exe /s /u .\Redemption\Redemption64.dll
if errorlevel 1 (
  echo WARN: Failed to unregister Redemption64.dll. regsvr32.exe returned %errorlevel%
) else (
  echo INFO: Redemption64.dll has been successfully unregistered.
)

rem please uncomment the following commented lines if adobe acrobat integration has to be removed as well
rem echo INFO: try to uninstall adobe acrobat integration plugin
rem del "C:\Programme\Adobe\Acrobat 9.0\Acrobat\plug_ins\factoryStorage.api"
rem if errorlevel 1 (
rem   echo ERROR: failed to delete "C:\Programme\Adobe\Acrobat 9.0\Acrobat\plug_ins\factoryStorage.api". please delete it manually!
rem   exit /B 5
rem )
rem echo INFO: adobe acrobat integration plugin has been successfully removed

echo INFO: Office Integration 64 Bit has been successfully uninstalled.
exit /B 0